Skip to main content
POST
getProgramAccounts
New Feature: getProgramAccounts now supports the changedSinceSlot parameter for incremental updates. When specified, the method returns only accounts that have been modified at or after the given slot number. This is perfect for real-time indexing and data synchronization workflows.

Request Parameters

string
required
The Solana program public key (address) to query accounts for, as a base-58 encoded string.
string
The commitment level for the request.
  • confirmed
  • finalized
  • processed
number
The minimum slot that the request can be evaluated at.
boolean
Wrap the result in an RpcResponse JSON object.
string
Encoding format for the returned account data.
  • jsonParsed
  • base58
  • base64
  • base64+zstd
object
Request a slice of the account’s data.
number
Number of bytes to return.
number
Byte offset from which to start reading.
number
Only return accounts that were modified at or after this slot number. Useful for incremental updates.
array
Powerful filtering system to efficiently query specific Solana account data patterns.

Authorizations

api-key
string
query
required

Your Helius API key. You can get one for free in the dashboard.

Body

application/json
jsonrpc
enum<string>
default:2.0
required

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string
default:1
required

A unique identifier for the request.

Example:

"1"

method
enum<string>
default:getProgramAccounts
required

The name of the RPC method to invoke.

Available options:
getProgramAccounts
Example:

"getProgramAccounts"

params
(string | object)[]
required

Parameters for the method.

The Solana program public key (address) to query accounts for, as a base-58 encoded string.

Example:

"4Nd1mBQtrMJVYVfKf2PJy9NZUZdTAsp7D4xWLs4gDB4T"

Response

Successfully retrieved program accounts.

jsonrpc
enum<string>

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string

Identifier matching the request.

Example:

"1"

result
object[]

List of program accounts.